Organisation
Approve one reviewed remote connection
Approve one reviewed remote connection
curl --request PUT \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Connection-Match: <if-connection-match>' \
--header 'If-Match: <if-match>' \
--data '
{
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
'const options = {
method: 'PUT',
headers: {
'If-Match': '<if-match>',
'If-Connection-Match': '<if-connection-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expires_at: '2023-11-07T05:31:56Z', reason: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}"
payload = {
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
headers = {
"If-Match": "<if-match>",
"If-Connection-Match": "<if-connection-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"approvals": [
{
"applicable": true,
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "<string>",
"authority": {
"actor_sub": "<string>",
"audiences": [
"<string>"
],
"client_id": "<string>",
"client_version": "<string>",
"connection_version": "<string>",
"scopes": [
"<string>"
],
"service_account_id": "<string>",
"subject": "<string>"
},
"connection_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"generation": "<string>",
"issuer": "<string>",
"kind": "machine_client",
"reason": "<string>"
}
],
"can_apply": true,
"enabled": true,
"generation": "<string>",
"version": "<string>",
"can_manage": true
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Path Parameters
Available options:
machine_client, oauth_session, oauth_grant Body
application/json
⌘I
Approve one reviewed remote connection
curl --request PUT \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Connection-Match: <if-connection-match>' \
--header 'If-Match: <if-match>' \
--data '
{
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
'const options = {
method: 'PUT',
headers: {
'If-Match': '<if-match>',
'If-Connection-Match': '<if-connection-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expires_at: '2023-11-07T05:31:56Z', reason: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}"
payload = {
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
headers = {
"If-Match": "<if-match>",
"If-Connection-Match": "<if-connection-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"approvals": [
{
"applicable": true,
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "<string>",
"authority": {
"actor_sub": "<string>",
"audiences": [
"<string>"
],
"client_id": "<string>",
"client_version": "<string>",
"connection_version": "<string>",
"scopes": [
"<string>"
],
"service_account_id": "<string>",
"subject": "<string>"
},
"connection_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"generation": "<string>",
"issuer": "<string>",
"kind": "machine_client",
"reason": "<string>"
}
],
"can_apply": true,
"enabled": true,
"generation": "<string>",
"version": "<string>",
"can_manage": true
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}